/************************************************************************
 *  MINI51.C								*
 *			Kleiner Monitor fr 8051			*
 *			========================			*
 *									*
 *  06.06.96	Bodo Wenzel	V1.0, bernahme aus X51			*
 ************************************************************************/

#pragma code symbols small debug

#define	VERSION		"V1.0"

/* === Einfgedateien ================================================= */

#include <reg51.h>
#include <stdio.h>

#include "utility.h"
#define extern
#include "mini51.h"
#undef extern
#include "command.h"
#include "m_all.h"
#include "rs232.h"

/* === M A I N ======================================================== */

void main(void) {
/*-------------*/
bit_ticks=rs232_init();
rs232_puts("\nWelcome to MINI51 " VERSION "!\nEnter \"HE\" for help.\n");

EA=TRUE;			/* Interrupts grundstzlich frei	*/

cmd_init();
for (;;)
  cmd_doit();			/* immer nur Kommandos...		*/
}

/* === Ende =========================================================== */
