/************************************************************************
 *  MON51.C								*
 *		Universeller Monitor fr 8051-Derivate			*
 *		======================================			*
 *		(Kleine Ausfhrung mit max. 8 KByte)			*
 *									*
 *  22.06.93	Bodo Wenzel	V1.0, Erstellung parallel zu X51	*
 ************************************************************************/

#pragma code symbols small debug

#define	VERSION		"V1.0"

/* === Einfgedateien ================================================= */

#include <stdio.h>

#include "utility.h"
#define extern
#include "mon51.h"
#undef extern
#include "command.h"
#include "m_all.h"
#include "rs232.h"

/* === M A I N ======================================================== */

void main(void) {
/*-------------*/
bit_ticks=rs232_init();
rs232_puts("\nWelcome to MON51 " VERSION "!\nEnter \"HE\" for help.\n");

cmd_init();
for (;;)
  cmd_doit();
}

/* === Ende =========================================================== */
