/************************************************************************
 *  COMMAND.H, letzte nderung: 02.12.98				*
 *									*
 *			Kommando-Verarbeitung fr X51			*
 *			=============================			*
 *									*
 ************************************************************************/

/* === Konstanten ===================================================== */

enum {	P8051=0,		/* mu 0 sein !				*/
	P80C51, P8052, P80C52,
	P80515, P80C515, P80C515A, P80C552,
	P80C652,
	PMAX };

enum { T_NONE=0, T_HEX, T_DEZ };

/* === Globale Variablen ============================================== */

typedef	struct {
  uchar	id;			/* Kommandonummer			*/
  uchar	t1;
  uint	l1,h1;			/* Werte fr erstes Argument		*/
  uchar	t2;
  uint	l2,h2;			/* Werte fr zweites Argument		*/
  }	entry;

extern	bit		cmd_repeat;
extern	uchar		cmd_proc;
extern	char		cmd_c1,cmd_c2;
extern	entry	code	*cmd_entry;
extern	char	idata	*cmd_act;

/* === Funktionsprototypen ============================================ */

void cmd_init(void);
void cmd_doit(void);

/* === Ende =========================================================== */
