/************************************************************************
 *  X51.C								*
 *		Universeller Monitor fr 8051-Derivate			*
 *		======================================			*
 *									*
 *  22.06.93	Bodo Wenzel	V1.0, Erstellung			*
 *  02.12.98	Bodo Wenzel	V1.1, kleine Fehler beseitigt,		*
 *				Textausgabe krzer,			*
 *				Speichertestbefehl XC			*
 ************************************************************************/

#pragma code symbols small debug

#define	VERSION		"V1.1"

/* === Einfgedateien ================================================= */

#include <reg51.h>
#include <stdio.h>

#include "utility.h"
#define extern
#include "x51.h"
#undef extern
#include "command.h"
#include "m_all.h"
#include "rs232.h"

/* === Funktionsprototypen ============================================ */

static void set_type(char code *title);

/* === M A I N ======================================================== */

void main(void) {
/*-------------*/
bit_ticks=rs232_init();
set_type("\nWelcome to X51 " VERSION "!\nEnter \"HE\" for help.\n");

EA=TRUE;			/* Interrupts grundstzlich frei	*/

cmd_init();
for (;;)
  cmd_doit();			/* immer nur Kommandos...		*/
}

static void set_type(char code *title) {
/*------------------------------------*/
while (*title) {
  if (TI)
    putchar(*title++);
  if (RI)
    cmd_proc=_getkey()-0x01;
  }
}

/* === Ende =========================================================== */
